﻿@model IEnumerable<NationalTheatre.ViewModels.ShowViewModel>

<h3>Shows</h3>

<p>
  <a asp-controller="Shows" asp-action="Create">Add</a>
</p>

<table class="table">
  <thead>
    <tr>
      <th>
        Name
      </th>
      <th>
        Price
      </th>
      <th>
        Max Seats
      </th>
      <th></th>
    </tr>
  </thead>
  <tbody>
    @foreach (var show in Model)
    {
    <tr>
      <td>
        @show.Name
      </td>
      <td>
        @show.Price
      </td>
      <td>
        @show.MaxSeats
      </td>
      <td>
        <a asp-action="Edit" asp-controller="Shows" asp-route-id="@show.Id">Edit</a> |
        <a asp-action="Delete" asp-controller="Shows" asp-route-id="@show.Id">Delete</a>
      </td>
    </tr>
    }
  </tbody>
</table>

